unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, Psock, NMDayTim, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    NMDayTime1: TNMDayTime;
    StatusBar1: TStatusBar;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure NMDayTime1Connect(Sender: TObject);
    procedure NMDayTime1Disconnect(Sender: TObject);
    procedure NMDayTime1HostResolved(Sender: TComponent);
    procedure NMDayTime1Status(Sender: TComponent; Status: String);
    procedure NMDayTime1ConnectionFailed(Sender: TObject);
    procedure NMDayTime1InvalidHost(var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  NMDayTime1.ReportLevel := Status_Basic;
  NMDayTime1.TimeOut := 30000;
  NMDayTime1.Host := Edit1.Text;
  NMDayTime1.Port := StrToInt(Edit2.Text);
  Label3.Caption := '   : '+NMDayTime1.DayTimeStr;
end;

procedure TForm1.NMDayTime1Connect(Sender: TObject);
begin
  StatusBar1.SimpleText := '';
end;

procedure TForm1.NMDayTime1Disconnect(Sender: TObject);
begin
  StatusBar1.SimpleText := ' ';
end;

procedure TForm1.NMDayTime1HostResolved(Sender: TComponent);
begin
  StatusBar1.SimpleText := ' ';
end;

procedure TForm1.NMDayTime1Status(Sender: TComponent; Status: String);
begin
  If StatusBar1 <> nil Then
       StatusBar1.SimpleText := Status;
end;

procedure TForm1.NMDayTime1ConnectionFailed(Sender: TObject);
begin
   ShowMessage('     ');
end;

procedure TForm1.NMDayTime1InvalidHost(var Handled: Boolean);
Var
  S:String;
begin
   If InputQuery('   !',
       '  ', S) Then
   Begin
      NMDayTime1.Host := S;
      Edit1.Text := S;
      Handled := True;
   End;
end;

end.
